Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
_Node Struct Reference

`#include <regparse.h>`

## Data Fields
union {
NodeBase base
StrNode str
CClassNode cclass
QtfrNode qtfr
EncloseNode enclose
BRefNode bref
AnchorNode anchor
ConsAltNode cons
CtypeNode ctype
CallNode call
} | u

## Detailed Description

Definition at line 265 of file regparse.h.

## Field Documentation

## ◆ anchor

AnchorNode _Node::anchor

Definition at line 273 of file regparse.h.

## ◆ base

NodeBase _Node::base

Definition at line 267 of file regparse.h.

## ◆ bref

BRefNode _Node::bref

Definition at line 272 of file regparse.h.

## ◆ call

CallNode _Node::call

Definition at line 277 of file regparse.h.

## ◆ cclass

CClassNode _Node::cclass

Definition at line 269 of file regparse.h.

## ◆ cons

ConsAltNode _Node::cons

Definition at line 274 of file regparse.h.

## ◆ ctype

CtypeNode _Node::ctype

Definition at line 275 of file regparse.h.

## ◆ enclose

EncloseNode _Node::enclose

Definition at line 271 of file regparse.h.

## ◆ qtfr

QtfrNode _Node::qtfr

Definition at line 270 of file regparse.h.

## ◆ str

StrNode _Node::str

Definition at line 268 of file regparse.h.

## ◆ u

union { ... } _Node::u

The documentation for this struct was generated from the following file:

- regparse.h